{
    "includes": [
        "deps/common.gypi"
    ],
    "targets": [
        {
            "target_name": "better_sqlite3",
            "dependencies": [
                "deps/sqlite3.gyp:sqlite3"
            ],
            "sources": [
                "src/better_sqlite3.cpp"
            ],
            "cflags_cc": [
                "-std=c++17"
            ],
            "xcode_settings": {
                "OTHER_CPLUSPLUSFLAGS": [
                    "-std=c++17",
                    "-stdlib=libc++"
                ]
            },
            "msvs_settings": {
                "VCCLCompilerTool": {
                    "AdditionalOptions": [
                        "/std:c++17"
                    ]
                }
            },
            "conditions": [
                [
                    "OS==\"linux\"",
                    {
                        "ldflags": [
                            "-Wl,-Bsymbolic",
                            "-Wl,--exclude-libs,ALL"
                        ]
                    }
                ],
                [
                    "OS==\"mac\"",
                    {
                        "xcode_settings": {
                            "OTHER_CFLAGS": [
                                "-arch x86_64",
                                "-arch arm64"
                            ],
                            "OTHER_LDFLAGS": [
                                "-arch x86_64",
                                "-arch arm64"
                            ]
                        }
                    }
                ]
            ]
        },
        {
            "target_name": "test_extension",
            "dependencies": [
                "deps/sqlite3.gyp:sqlite3"
            ],
            "conditions": [
                [
                    "sqlite3 == \"\"",
                    {
                        "sources": [
                            "deps/test_extension.c"
                        ]
                    }
                ],
                [
                    "OS==\"mac\"",
                    {
                        "xcode_settings": {
                            "OTHER_CFLAGS": [
                                "-arch x86_64",
                                "-arch arm64"
                            ],
                            "OTHER_LDFLAGS": [
                                "-arch x86_64",
                                "-arch arm64"
                            ]
                        }
                    }
                ]
            ]
        }
    ]
}